Bug 735446 - sqlite3.OperationalError: database is locked
Summary: sqlite3.OperationalError: database is locked
Keywords:
Status: CLOSED DUPLICATE of bug 730857
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 16:21 UTC by Andrew McNabb
Modified: 2015-04-24 19:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-05 19:24:35 UTC


Attachments (Terms of Use)

Description Andrew McNabb 2011-09-02 16:21:14 UTC
In an issue similar to bug #723323, I get an "sqlite3.OperationalError: database is locked" error with Anaconda in Fedora 16 Alpha. The difference is that I'm seeing this error during a postinstall script rather than in the installer itself.

The following two lines are in the kickstart script in a postinstall script:

rpm -Uvh http://linuxdownload.adobe.com/adobe-release/adobe-release-i386-1.0-1.noarch.rpm
yum -y install flash-plugin

The corresponding output is:

"""
warning: /var/tmp/rpm-tmp.QLlOmf: Header V3 DSA/SHA1 Signature, key ID f6777c67:
 NOKEY
Retrieving http://linuxdownload.adobe.com/adobe-release/adobe-release-i386-1.0-1
.noarch.rpm
Preparing...                ##################################################
adobe-release-i386          ##################################################
Loaded plugins: langpacks, refresh-packagekit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package flash-plugin.i386 0:10.3.183.7-release will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch     Version                   Repository            Size
================================================================================
Installing:
 flash-plugin     i386     10.3.183.7-release        adobe-linux-i386     5.2 M

Transaction Summary
================================================================================
Install       1 Package

Total download size: 5.2 M
Installed size: 13 M
Downloading Packages:
warning: rpmts_HdrFromFdno: Header V3 DSA/SHA1 Signature, key ID f6777c67: NOKEY
Public key for flash-plugin-10.3.183.7-release.i386.rpm is not installed
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-adobe-linux
Importing GPG key 0xF6777C67:
 Userid : Adobe Systems Incorporated (Linux RPM Signing Key) <secure@adobe.com>
 Package: adobe-release-i386-1.0-1.noarch (installed)
 From   : /etc/pki/rpm-gpg/RPM-GPG-KEY-adobe-linux
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 309, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 223, in main
    return_code = base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 625, in doTransaction
    resultobject = self.runTransaction(cb=cb)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1477, in runTransaction
    lastdbv = self.history.last()
  File "/usr/lib/python2.7/site-packages/yum/history.py", line 1148, in last
    ret = self.old([], 1, complete_transactions_only)
  File "/usr/lib/python2.7/site-packages/yum/history.py", line 1097, in old
    executeSQL(cur, sql, params)
  File "/usr/lib/python2.7/site-packages/yum/sqlutils.py", line 166, in executeSQLQmark
    return cursor.execute(query)
sqlite3.OperationalError: database is locked
"""

Comment 1 Chris Lumens 2011-09-05 19:24:35 UTC

*** This bug has been marked as a duplicate of bug 730857 ***


Note You need to log in before you can comment on or make changes to this bug.